#ifndef DEF_MOTEUR_PHYSIQUE
#define DEF_MOTEUR_PHYSIQUE

#include <SFML/Graphics.hpp>
#include <vector>
#include "Moteurs/Physique/ObjetPhysique.hpp"

class MoteurPhysique
{
	public:
		MoteurPhysique();
		void ajouteObjet(ObjetPhysique *pObjet);
		void supprimeObjet(ObjetPhysique *pObjet);
		
		void deplaceObjet(ObjetPhysique *objetADeplacer, float pPositionX = 0);
		ObjetPhysique *testCollision(ObjetPhysique *objetATester);
	
	private:
		std::vector<ObjetPhysique*> listeObjetsPhysiques;
};

#endif
